Bug 106858 - SSL_EXPERIMENTAL is not defined in mod_ssl build
SSL_EXPERIMENTAL is not defined in mod_ssl build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-12 11:30 EDT by Elías Halldór Ágústsson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-23 07:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
It defines SSL_EXPERIMENTAL_ENGINE in the src.rpm (460 bytes, patch)
2003-10-12 13:13 EDT, Elías Halldór Ágústsson
no flags Details | Diff

  None (edit)
Description Elías Halldór Ágústsson 2003-10-12 11:30:52 EDT
Description of problem:
In versions 7.1 through 7.3 mod_ssl was compiled with SSL_EXPERIMENTAL defined.
This enabled SSL engine support and the SSLCryptoDevice directive. However, ever
since RedHat switched over to Apache2, this feature hasn't been enabled in
mod_ssl. I have enabled it successfully with a minor change in the httpd
src.rpm. This feature is a must-have for any enterprise which uses SSL hardware
acceleration (which is provided in the RedHat kernel, with the hwcrypto rpm and
in OpenSSL).



Version-Release number of selected component (if applicable):
8.0, 9, Severn(?)

How reproducible:
Always

Steps to Reproduce:
1. Add "SSLCryptoDevice builtin" to /etc/httpd/conf.d/ssl.conf
2. Restart httpd
3. 
    

Actual Results:  Apache refuses to recognize the directive.

Expected Results:  The directive should be recognized, as it was in the versions
of mod_ssl included in RedHat 7.1-7.3

Additional info:

I file this as a bug, not as an enhancement, since it is an essential feature
which was included in former builds but isn't any more.
Comment 1 Elías Halldór Ágústsson 2003-10-12 13:13:37 EDT
Created attachment 95121 [details]
It defines SSL_EXPERIMENTAL_ENGINE in the src.rpm
Comment 2 Joe Orton 2003-10-23 07:59:10 EDT
Thanks a lot for the report and patch, this is added in 2.0.47-10.
Comment 3 Mark J. Cox (Product Security) 2003-12-16 16:45:26 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-320.html

Note You need to log in before you can comment on or make changes to this bug.